---
lang: en
title: 'API docs: cron.cronjob._constructor_'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
editurl: https://github.com/strongloop/loopback-next/tree/master/extensions/cron
permalink: /doc/en/lb4/apidocs.cron.cronjob._constructor_.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/cron](./cron.md) &gt; [CronJob](./cron.cronjob.md) &gt; [(constructor)](./cron.cronjob._constructor_.md)

## CronJob.(constructor)

Constructs a new instance of the `CronJob` class

<b>Signature:</b>

```typescript
constructor(options: CronJobOptions);
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  options | [CronJobOptions](./cron.cronjoboptions.md) |  |


